Subject: Re: [linux-usb-devel] [PATCH] OHCI: add PowerPC 440EP/440EPx support

From: Valentine Barshak <[email-masked]>
Date: Mon, 08 Oct 2007 21:42:31 +0400

Kumar Gala wrote:
> 
> On Oct 8, 2007, at 11:19 AM, David Brownell wrote:
> 
>>>> Near as I can tell, the original code is wrong ... the hcca->frame_no
>>>> byte offset is fully specified, so that shift should always be 16.
>>>
>>> Are you saying that it should always be #define OHCI_BE_FRAME_NO_SHIFT
>>> 16 for big endian platforms?
>>
>> More than that, I'm saying that shouldn't even be a #define!  The
>> default should be that drivers expect chips to follow the interface
>> specs.  Any value other than 16 violates the OHCI spec.
>>
>> However, based on one other post, I suspect at least one Freescale
>> part will need to declare a chip quirk for this case.
> 
> Which Freescale part do you think needs this?
> 
> - k

I've looked at drivers/usb/host/Kconfig
It seems to be MPC52xx.
David, is that the one you mentioned?
Thanks,
Valentine.